Class | Chef::Cookbook::RemoteFileVendor
In: | lib/chef/cookbook/remote_file_vendor.rb
Parent: | FileVendor

## Chef::Cookbook::RemoteFileVendor

This FileVendor loads files by either fetching them from the local cache, or if not available, loading them from the remote server.

### Methods

get_filename new valid_cache_entries validate_cached_copy

### Public Class methods

new(manifest, rest)

### Public Instance methods

get_filename(filename)

Implements abstract base‘s requirement. It looks in the Chef::Config.cookbook_path file hierarchy for the requested file.

valid_cache_entries()
validate_cached_copy(cache_filename)

[Validate]